SoProfiler(3)

NAME
SoProfiler - Main static class for initializing the scene graph profiling subsystem.

SYNOPSIS

#include <Profiler/SoProfiler.h>

  Static Public Member Functions
static void init (void)
static void enable (SbBool enable=TRUE)
static SbBool isEnabled (void)
static SbBool isOverlayActive (void)
static SbBool isConsoleActive (void)

Detailed Description

Main static class for initializing the scene graph profiling subsystem.

Member Function Documentation

  void SoProfiler::init (void) [static]
Initializes the Coin scene graph profiling subsystem.

  void SoProfiler::enable (SbBool enable = TRUE) [static]
Enable/disable the profiling subsystem at runtime.

  SbBool SoProfiler::isEnabled (void) [static]
Returns whether profiling is enabled or not.

  SbBool SoProfiler::isOverlayActive (void) [static]
Returns whether profiling info is shown in an overlay fashion on the GL canvas or not.

  SbBool SoProfiler::isConsoleActive (void) [static]
Returns whether profiling info is shown on the console or not.

Author

Generated automatically by Doxygen for Coin from the source code.